# Download an install proprietary library for AMD GPU prior Vega10 version
#!/bin/bash
AMDGPU_VER="amdgpu-pro-20.20-1089974-rhel-8.2"
#To get rpm2cpio if not installed yet
urpmi --force rpm
#Create working folder
mkdir ./TMPDL
pushd TMPDL
#Download from AMD site
wget --referer="https://www.amd.com/" https://drivers.amd.com/drivers/linux/$AMDGPU_VER.tar.xz -O ./amdgpu-pro.tar.xz
#Extract rpm containing the lib
tar -xvf ./amdgpu-pro.tar.xz $AMDGPU_VER/RPMS/x86_64/opencl-orca-amdgpu-pro-icd-20.20-1089974.el8.x86_64.rpm
#Extract the lib from the rpm
rpm2cpio ./$AMDGPU_VER/RPMS/x86_64/opencl-orca-amdgpu-pro-icd-20.20-1089974.el8.x86_64.rpm | cpio -idmv
#Copy the lib to the system location
cp -afv ./opt/amdgpu-pro/lib64/libamdocl-orca64.so /usr/lib64
popd
#Clean up
rm -rf TMPDL
#apply configuration
ldconfig
